# -*- RPM-SPEC -*-
Summary: system-config-netboot is an network booting/install configuration utility
Name: system-config-netboot
Version: 0.1.22
Release: 4_EL4
URL: http://www.redhat.com/ 
Source0: %{name}-%{version}.tar.gz
Source1: pxelinux.0
License: GPL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: gnome-python2, pygtk2, pygtk2-libglade, gnome-python2-canvas, rhpl
Requires: tftp-server >= 0.29-3
ExclusiveArch: i386 x86_64
Obsoletes: redhat-config-netboot

%description
system-config-netboot is a utility which allows you to configure 
diskless environments and network installations.

%prep
%setup -q

%build
ln -svf $(ls /usr/share/automake*/mkinstalldirs | tail -1) .
make

%install
rm -rf %{buildroot}
%makeinstall
mkdir -p %{buildroot}/tftpboot/linux-install/pxelinux.cfg
cp -arfp %{buildroot}/%{_datadir}/system-config-netboot/msgs %{buildroot}/tftpboot/linux-install/
cp -fp %{SOURCE1} %{buildroot}/tftpboot/linux-install

%find_lang %name

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYING
%doc docs/*
%{_sbindir}/*
%{_bindir}/system-config-netboot
%{_datadir}/applications/system-config-netboot.desktop
%{_datadir}/system-config-netboot
%{_datadir}/pixmaps/system-config-netboot.xpm
%{_mandir}/*/*.8*
/tftpboot/linux-install/pxelinux.cfg/
/tftpboot/linux-install/msgs/
/tftpboot/linux-install/pxelinux.0
%config %{_sysconfdir}/pam.d/system-config-netboot
%config %{_sysconfdir}/security/console.apps/system-config-netboot

%changelog
* Fri Jul 22 2005 Jason Vas Dias <jvdias@redhat.com> 0.1.22-1
- fix bugs 164011, 164012:
  updateDiskless now resolves missing module dependencies in the
  initrd, and returns an error for missing module files and executables.
- fix bug 161904: fix tooltips in pxeosdialog and NFS server label

* Wed Jun 15 2005 Jason Vas Dias <jvdias@redhat.com> 0.1.20-1
- fix addendum to bugs 149000/135411: updateDiskless:
  Do not create SELinux xattr labels in the initrd filesystem

* Mon Jun 13 2005 Jason Vas Dias <jvdias@redhat.com> 0.1.18-1
- fix bugs 159490, 159996, 160143

* Wed Jun 08 2005 Jason Vas Dias <jvdias@redhat.com> 0.1.17-1
- fix bugs 159490, 159390, 159064, 156274

* Thu May 26 2005 Jason Vas Dias <jvdias@redhat.com> 0.1.16-1
- fix bugs 144240, 148022, 149000, 153047, 154982 

* Thu Apr 21 2005 Dan Walsh <dwalsh@redhat.com> 0.1.14-1
- Apply Ronny Buchmann patch
	system-config-netboot.glade has a wrong id for the kickstart file input.
	pxeosdialog.py wants osKickstartEntry and produces a traceback later, 
	because it didn't get a node for it.	

* Fri Apr 1 2005 Dan Walsh <dwalsh@redhat.com> 0.1.13-1
- Fix python gtk.False -> False

* Mon Dec 20 2004 Dan Walsh <dwalsh@redhat.com> 0.1.12-1
- Remove references to /bin/ash

* Mon Nov 15 2004 Dan Walsh <dwalsh@redhat.com> 0.1.11-1
- Remove Alchemist import

* Thu Nov 11 2004 Dan Walsh <dwalsh@redhat.com> 0.1.10-1
- Apply Mustafa Mahudhawala for disklessrc

* Mon Nov 1 2004 Dan Walsh <dwalsh@redhat.com> 0.1.9-1
- Fix pxeos to grab correct files, eliminate extra /
- Bug #115652  

* Wed Oct 6 2004 Dan Walsh <dwalsh@redhat.com> 0.1.8-1
- Update lang

* Fri Oct 1 2004 Dan Walsh <dwalsh@redhat.com> 0.1.7-1
- Update languages

* Thu Sep 30 2004 Dan Walsh <dwalsh@redhat.com> 0.1.6-1
- Fix location of mkinstalldirs

* Tue Sep 28 2004 Dan Walsh <dwalsh@redhat.com> 0.1.5-1
- Cleanup rsync messages and replace RHEL3 with RHEL

* Mon Sep 27 2004 Dan Walsh <dwalsh@redhat.com> 0.1.4-1
- Split netboot_util into netboot_gtk, so command line will work without X-Windows.

* Thu Jun 10 2004 Dan Walsh <dwalsh@redhat.com> 0.1.3-5
- Fix internationalization calls in pxeos and pxeboot

* Tue Mar 24 2004 Dan Walsh <dwalsh@redhat.com> 0.1.3-4
- Fix warning messages

* Tue Mar 24 2004 Dan Walsh <dwalsh@redhat.com> 0.1.3-3
- Add additional languages

* Tue Jan 6 2004 Dan Walsh <dwalsh@redhat.com> 0.1.3-2
- Remove python2.2 requirment

* Thu Dec 11 2003 Dan Walsh <dwalsh@redhat.com> 0.1.3-1
- Rename to system-config-netboot

* Tue Nov 11 2003 Dan Walsh <dwalsh@redhat.com> 0.1.2-2
- Remove quotes used to handle spaces in dir names.  Spaces will not be allowed.

* Wed Nov 5 2003 Dan Walsh <dwalsh@redhat.com> 0.1.2-1
- Cleanup pxe handling add kickstart more error checking

* Wed Nov 5 2003 Dan Walsh <dwalsh@redhat.com> 0.1.1-23
- Fix kickstart handling

* Wed Oct 22 2003 Dan Walsh <dwalsh@redhat.com> 0.1.1-22
- Bump

* Wed Oct 22 2003 Dan Walsh <dwalsh@redhat.com> 0.1.1-21
- Update with fixes from Oracle.

* Tue Oct 7 2003 Dan Walsh <dwalsh@redhat.com> 0.1.1-20
- bump

* Tue Sep 30 2003 Dan Walsh <dwalsh@redhat.com> 0.1.1-19
- Fix documentation
- Start with default initrd ram_size=10000

* Wed Sep 24 2003 Dan Walsh <dwalsh@redhat.com> 0.1.1-18
- Add documentation

* Tue Sep 16 2003 Dan Walsh <dwalsh@redhat.com> 0.1.1-17
- Fix nfs directory selection

* Fri Sep 12 2003 Dan Walsh <dwalsh@redhat.com> 0.1.1-16
- Make several changes suggested by Tammy.
- Fix man pages and pxeos bugs.

* Tue Sep 02 2003 Dan Walsh <dwalsh@redhat.com> 0.1.1-15
- Change to use snapshot name for diskless mount point instead of ip address.

* Tue Aug 19 2003 Dan Walsh <dwalsh@redhat.com> 0.1.1-14
- Add /etc/cups/certs to files for diskless

* Wed Jul 30 2003 Dan Walsh <dwalsh@redhat.com> 0.1.1-13
- Fix man page

* Tue Jul 22 2003 Dan Walsh <dwalsh@redhat.com> 0.1.1-12
- Improve boot up performance

* Tue Jul 19 2003 Dan Walsh <dwalsh@redhat.com> 0.1.1-11
- Update pxeboot

* Tue Jul 7 2003 Dan Walsh <dwalsh@redhat.com> 0.1.1-10
- Fix app title

* Tue Jul 7 2003 Dan Walsh <dwalsh@redhat.com> 0.1.1-9
- remove busybox-anaconda as a required package
- Change Red Hat Linux to Red Hat Enterprise Linux

* Mon Jul 6 2003 Dan Walsh <dwalsh@redhat.com> 0.1.1-7
- Fix relative paths in mkdiskless

* Tue Jul 1 2003 Dan Walsh <dwalsh@redhat.com> 0.1.1-6
- Add busybox-anaconda as a required package

* Mon Jun 16 2003 Dan Walsh <dwalsh@redhat.com> 0.1.1-5
- Fix /usr/sbin/system-config-netboot link.

* Tue Apr 29 2003 Dan Walsh <dwalsh@redhat.com> 0.1.1-4
- Add syncfiles to speed up firstboot in diskless

* Tue Apr 29 2003 Dan Walsh <dwalsh@redhat.com> 0.1.1-3
- Fix gui problems

* Fri Apr 18 2003 Dan Walsh <dwalsh@redhat.com> 0.1.1-2
- Add ExclusiveArch: i386 x86_64

* Wed Apr 16 2003 Dan Walsh <dwalsh@redhat.com> 0.1.1-1
- Move setup stuff into command line pxeos class

* Fri Apr 4 2003 Dan Walsh <dwalsh@redhat.com> 0.1.0-23
- Fix OS propagation problems

* Tue Apr 1 2003 Dan Walsh <dwalsh@redhat.com> 0.1.0-22
- Add Man pages for pxeos and pxeboot

* Tue Apr 1 2003 Dan Walsh <dwalsh@redhat.com> 0.1.0-21
- setup tftpboot directory

* Tue Apr 1 2003 Dan Walsh <dwalsh@redhat.com> 0.1.0-20
- Cleanup first time wizard, to be able to define network install or diskless

* Fri Mar 28 2003 Dan Walsh <dwalsh@redhat.com> 0.1.0-19
- remove erroneous exit from disklessrc

* Thu Mar 27 2003 Dan Walsh <dwalsh@redhat.com> 0.1.0-18
- Add command line support for pxeos and pxeboot

* Fri Mar 21 2003 Dan Walsh <dwalsh@redhat.com> 0.1.0-17
- Add syncfiles to speed up diskless

* Tue Mar 18 2003 Dan Walsh <dwalsh@redhat.com> 0.1.0-16
- Add diskless support to GUI

* Wed Mar 12 2003 Dan Walsh <dwalsh@redhat.com> 0.1.0-15
- Fix GUI and remove swap

* Wed Mar 12 2003 Dan Walsh <dwalsh@redhat.com> 0.1.0-14
- add missing diskless files

* Fri Mar 07 2003 Dan Walsh <dwalsh@redhat.com> 0.1.0-13
- correct diskless paths

* Wed Jan 29 2003 Dan Walsh <dwalsh@redhat.com> 0.1.0-12
- eliminate /dev/root

* Mon Jan 27 2003 Dan Walsh <dwalsh@redhat.com> 0.1.0-11
- Add additional dialogs and fix pxe file writes

* Fri Jan 24 2003 Dan Walsh <dwalsh@redhat.com> 0.1.0-10
- Update to support diskless environment

* Fri Jan 24 2003 Dan Walsh <dwalsh@redhat.com> 0.1.0-9
- Fix Typos

* Tue Jan 7 2003 Dan Walsh <dwalsh@redhat.com> 0.1.0-8
- Fix errors

* Thu Dec 19 2002 Dan Walsh <dwalsh@redhat.com> 0.1.0-7
- Fix GUI to create config files in new format

* Thu Nov 07 2002 Dan Walsh <dwalsh@redhat.com> 0.1.0-6
- Check services and start them if they are not running

* Fri Oct 25 2002 Dan Walsh <dwalsh@redhat.com> 0.1.0-5
- Add mftp

* Thu Oct 24 2002 Dan Walsh <dwalsh@redhat.com>
- Add diskless support

* Thu Oct 17 2002 Dan Walsh <dwalsh@redhat.com>
- cleanup

* Wed Sep 25 2002 Dan Walsh <dwalsh@redhat.com>
- Initial build.


